@use 'theme';

:host {
  display: block;
  overflow: hidden;
  @include theme.width-height(100%, 100%);

  .error-block {
    @include theme.flex-row-center;
    @include theme.width-height(100%, 100%);
    @include theme.user-select(none);

    justify-content: center;
    padding: 16px;

    &__wrap {
      @include theme.flex-column;

      align-items: center;
    }

    &__icon {
      @include theme.width-height(48px, 48px);

      fill: theme.$color-danger-default;
    }

    &__text {
      margin: 12px 0;
      padding: 16px;
      background-color: theme.$background-basic-color-1;
      border: 1px solid theme.$color-danger-default-border;
      color: theme.$text-primary-color;
    }
  }

  &.outlined {
    cv-progress,
    .error-block {
      border: 1px solid theme.$color-danger-default-border;
    }
  }

  .no-data-text {
    @include theme.flex-row-center;
    @include theme.width-height(100%, 100%);
    @include theme.font(16px, null, null, theme.$color-basic-disabled);
    @include theme.user-select(none);

    justify-content: center;
  }
}
